uk.gov.hmrc.ct.ct600.v2

# B1574

###
Related Doc: package v2

#### case class B1574(value: Option[String]) extends CtBoxIdentifier with CtOptionalString with Input with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Input, CtOptionalString, OptionalCtValue[String], CtValue[Option[String]], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. B1574
2. Serializable
3. Serializable
4. Product
5. Equals
6. Input
7. CtOptionalString
8. OptionalCtValue
9. CtValue
10. CtBoxIdentifier
11. AnyRef
12. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new B1574(value: Option[String])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

11. #### def id: String

    Definition Classes
      CtBoxIdentifier

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### val name: String

    Definition Classes
      CtBoxIdentifier

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### val value: Option[String]

    Definition Classes
      B1574 → CtValue

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Input

### Inherited from CtOptionalString

### Inherited from OptionalCtValue[String]

### Inherited from CtValue[Option[String]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped